@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-color: #ecf0f1;
    font-family: 'Roboto', sans-serif;
    height: 100vh;
    margin: 0;
}

.slider-container {
    position: relative;
    overflow: hidden;
    width: 100vw;
}

.left-slider {
    width: 35%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: transform 0.5s ease-in-out;
}

.left-slider>div {
    width: 100%;
    /* height: 100%; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: #fff;
}

.left-slider h1 {
    font-size: 2.5em;
    margin-bottom: 0.6em;
    margin-top: -1.8em;
}

.right-slider {
    position: absolute;
    top: 0;
    left: 35%;
    width: 65%;
    transition: transform 0.5s ease-in-out;
}

.right-slider>div {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    width: 100%;
}

.right-slider>div {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 100%;
    width: 100%;
}

button {
    background-color: #fff;
    border: none;
    color: #aaa;
    cursor: pointer;
    font-size: 1em;
    padding: 0.9em;
}

button:hover {
    color: #222;
}

button:focus {
    outline: none;
}

.slider-container .action-buttons button {
    position: absolute;
    left: 35%;
    top: 50%;
    z-index: 100;
}

.slider-container .action-buttons .down-button {
    transform: translateX(-100%);
    border-top-left-radius: 0.3em;
    border-bottom-left-radius: 0.3em;
}

.slider-container .action-buttons .up-button {
    transform: translateY(-100%);
    border-top-right-radius: 0.3em;
    border-bottom-right-radius: 0.3em;
}